Loading...
Searching...
No Matches
gtsam::StereoPoint2 Class Reference
Geometry

## Detailed Description

A 2D stereo point, v will be same for rectified images.

## Advanced Interface

class | boost::serialization::access
| Serialization function.

## Standard Constructors

| StereoPoint2 ()
| default constructor
| StereoPoint2 (double uL, double uR, double v)
| constructor
| StereoPoint2 (const Vector3 &v)
| construct from 3D vector

## Testable

void | print (const std::string &s="") const
| print
bool | equals (const StereoPoint2 &q, double tol=1e-9) const
| equals

## Group

StereoPoint2 | operator- () const
| inverse
StereoPoint2 | operator+ (const Vector3 &v) const
| add vector on right
StereoPoint2 | operator+ (const StereoPoint2 &b) const
| add
StereoPoint2 | operator- (const StereoPoint2 &b) const
| subtract
static StereoPoint2 | Identity ()
| identity

## Standard Interface

bool | operator== (const StereoPoint2 &q) const
| equality
double | uL () const
| get uL
double | uR () const
| get uR
double | v () const
| get v
Vector3 | vector () const
| convert to vector
Point2 | point2 () const
| convenient function to get a Point2 from the left image
Point2 | right () const
| convenient function to get a Point2 from the right image

## Deprecated

StereoPoint2 | inverse () const
StereoPoint2 | compose (const StereoPoint2 &p1) const
StereoPoint2 | between (const StereoPoint2 &p2) const
Vector | localCoordinates (const StereoPoint2 &t2) const
StereoPoint2 | retract (const Vector &v) const
static Vector | Logmap (const StereoPoint2 &p)
static StereoPoint2 | Expmap (const Vector &d)

## Public Types

enum | { dimension = 3 }

## Friends

GTSAM_EXPORT friend std::ostream & | operator<< (std::ostream &os, const StereoPoint2 &p)
| Streaming.

The documentation for this class was generated from the following files:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/geometry/StereoPoint2.h
- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/geometry/StereoPoint2.cpp